Bug 239512 - virt-manager fails to install guest on rawhide (Kai's old i386 box)
Summary: virt-manager fails to install guest on rawhide (Kai's old i386 box)
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-09 01:07 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2008-04-01 19:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 19:17:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Combined logfile, xend.log, xend-debug.log (19.68 KB, text/plain)
2007-05-15 18:06 UTC, Kai Engert (:kaie) (inactive account)
no flags Details

Description Kai Engert (:kaie) (inactive account) 2007-05-09 01:07:41 UTC
Description of problem:
- AMD i686 host machine, 1.1 Ghz, 1 GB ram.
- latest pre-fedora-7 rawhide installed
- Trying to use virt-manager to install a rhel 5 guest 

I was able to complete the virt-manager wizard, I selected "shared physical
device" option. 450 MB ram for guest.

Installation process stalled, displaying the "grayed out" summary dialog of
virt-manager.

In xend.log I found the stack shown below.

Maybe the xen kernel is simply unstable on my hardware.
- I crashed while attempting to mount a filesystem
- while the virt-manager was still hung, I did a "rpm -qa virt-manager
kernel-xen xen", which caused to provide "some" output, but then the machine
rebooted...


Version-Release number of selected component (if applicable):
[root@leise xen]# rpm -qa virt-manager kernel-xen xen
virt-manager-0.4.0-1.fc7
kernel-xen-2.6.20-2925.5.fc7
...
[automatic reboot]


Additional info:

[root@leise xen]# uname -a
Linux leise 2.6.20-2925.5.fc7xen #1 SMP Thu Mar 22 13:51:38 EDT 2007 i686 athlon
i386 GNU/Linux
[root@leise xen]# cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 6
model name      : AMD Athlon(tm)
stepping        : 2
cpu MHz         : 1100.089
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 mmx fxsr
sse syscall mmxext 3dnowext 3dnow up ts
bogomips        : 3068.21
clflush size    : 32



[2007-05-09 02:53:59 xend 2818] ERROR (SrvBase:88) Request wait_for_devices failed.
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/xen/web/SrvBase.py", line 85, in perform
    return op_method(op, req)
  File "/usr/lib/python2.5/site-packages/xen/xend/server/SrvDomain.py", line 85,
in op_wait_for_devices
    return self.dom.waitForDevices()
  File "/usr/lib/python2.5/site-packages/xen/xend/XendDomainInfo.py", line 509,
in waitForDevices
    self.getDeviceController(devclass).waitForDevices()
  File "/usr/lib/python2.5/site-packages/xen/xend/server/DevController.py", line
149, in waitForDevices
    return map(self.waitForDevice, self.deviceIDs())
  File "/usr/lib/python2.5/site-packages/xen/xend/server/DevController.py", line
161, in waitForDevice
    (devid, self.deviceClass))
VmError: Device 0 (vif) could not be connected. Hotplug scripts not working.
[2007-05-09 02:53:59 xend.XendDomainInfo 2818] DEBUG (XendDomainInfo:1483)
XendDomainInfo.destroy: domid=1
[2007-05-09 02:53:59 xend.XendDomainInfo 2818] DEBUG (XendDomainInfo:1491)
XendDomainInfo.destroyDomain(1)

Comment 1 Kai Engert (:kaie) (inactive account) 2007-05-09 01:15:11 UTC
After the automatic reboot the system came up, but the graphical display ended
up displaying 40% black screen and 60% white screen (lower area). Weird.

nvidia graphics card, nv driver, xorg-x11-drv-nv-2.0.2-1.fc7

I was able to log in remote. I switched grub.conf to boot the non-xen kernel.
Rebooted. Now system came up fine, X looks good now.

So may be this hardware is not appropriate for running xen?


Comment 2 Hugh Brock 2007-05-10 18:28:33 UTC
kernel-xen-2.6.20-2925.5.fc7 is known to be DOOMED. 2.6.20-2925.7.fc7 mostly
works on x86_64; a still more stable kernel will be out tomorrow. Please try
again with one of these kernels and close this issue if your guest install works.



Comment 3 Kai Engert (:kaie) (inactive account) 2007-05-15 06:42:03 UTC
Update to latest rawhide and kernel kernel-xen-2.6.20-2925.8.fc7

Still does not work. What is the meaning of the following error message?

First, the console displays:
libvir: error : configuration file syntax error: expecting a name
libvir: Xen Daemon error : GET operation failed:
libvir: Xen Daemon error : POST operation failed: (xend.err 'Error creating
domain: The privileged domain did not balloon!')
libvir: Xen Daemon error : GET operation failed:


In the error dialog that pops up I get:

Unable to complete install '<class 'libvirt.libvirtError'>
virDomainCreateLinux() failed POST operation failed: (xend.err 'Error creating
domain: The privileged domain did not balloon!')
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 681, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 649, in
start_install
    return self._do_install(consolecb, meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 666, in
_do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib/python2.5/site-packages/libvirt.py", line 480, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: virDomainCreateLinux() failed POST operation failed: (xend.err
'Error creating domain: The privileged domain did not balloon!')
'


Setting selinux to permissive did not make a difference.


Comment 4 Hugh Brock 2007-05-15 13:03:49 UTC
OK, this is much better. Can you please attach xend.log and list all the
relevant rpm versions (xen, libvirt, virt-manager, python-virtinst)?

Thanks!

Comment 5 Kai Engert (:kaie) (inactive account) 2007-05-15 18:06:53 UTC
Created attachment 154756 [details]
Combined logfile, xend.log, xend-debug.log

Search for ==== in the attached file to find the start of the second file

[root@leise xen]# rpm -qa xen libvirt virt-manager kernel-xen python-virtinst
kernel-xen-2.6.20-2925.5.fc7
python-virtinst-0.103.0-3.fc7
xen-3.1.0-0.rc7.1.fc7
libvirt-0.2.2-3.fc7
virt-manager-0.4.0-2.fc7
kernel-xen-2.6.20-2925.8.fc7
[root@leise xen]# uname -a
Linux leise 2.6.20-2925.8.fc7xen #1 SMP Thu May 10 17:48:16 EDT 2007 i686
athlon i386 GNU/Linux

Comment 6 Red Hat Bugzilla 2007-07-25 02:11:24 UTC
change QA contact

Comment 7 Cole Robinson 2008-03-12 20:15:17 UTC
Hi, is this still an issue? This bug has been open for quite a while.

Comment 8 Kai Engert (:kaie) (inactive account) 2008-04-01 18:39:37 UTC
Sorry, I only tried once, then gave up.

I currently do not have rawhide on that machine installed, but RHEL 5, so it
will be quite some work to test again.

I'd prefer to not do that work, unless my test results will really help you.
If you haven't looked into my bug report at all, if nobody has attempted to
produce a fix, then I'd prefer to not test again.


Comment 9 Cole Robinson 2008-04-01 19:17:03 UTC
Nope that's fine. Truth is this was an issue at the xen level anyways, and since
this is the only bug with the error message 'domain did not balloon', no one
else is hitting it, and there has been significant change since this bug was
filed, I'm closing it as WORKSFORME. Thanks.


Note You need to log in before you can comment on or make changes to this bug.